<template>
  <div class="row completed-todo-block">
    <div class="col-12 completed-todo-block__title">COMPLETED ITEMS</div>
    <div class="col-12 completed-todo-block__completed-list" v-if="completed_item.length > 0">
      <div class="completed-item" v-for="(item, index) in completed_item" v-bind:key="index">
        {{item.name}}
      </div>
    </div>
    <div class="col-12 completed-todo-block__completed-list" v-if="completed_item.length == 0">
      <p class="completed-todo-block__completed-list--center">Completed list is empty!!!</p>
    </div>
  </div>
</template>

<script>
import './scss/CompletedToDo.scss';
export default {
  name: "CompletedToDo",
  props: {
    'completed_item':{
      type: Array,
      default: () => []
    }
  },
  data() {
    return {};
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
